@import './global';

.popup.popup-inventaire {
    .popup-conteneur {
        max-width: 1100px;
        background-color: #f3d9af;
        border: 10px solid #454440;
        @include max1405 {
            max-width: 800px;
        }
        @include max980 {
            max-width: 500px;
        }
        .conteneur-interne {
            width: 100%;
            .liste-inventaire {
                display: flex;
                flex-wrap: wrap;
                gap: 20px;
                height: 350px;
                padding: 0 30px;
                overflow-y: auto;
                scrollbar-color: $couleur_primaire $blanc;
                @include max767 {
                    padding: 0;
                }
                @include max479 {
                    gap: 10px;
                }
                .slot {
                    position: relative;
                    padding: 10px;
                    aspect-ratio: 1;
                    width: calc(100% / 6 - (20px * 5 / 6));
                    background-color: transparentize($couleur_secondaire, 0.85);
                    border-radius: 30px;
                    transition: .4s ease-in-out;
                    cursor: pointer;
                    &.slot-vide {
                        cursor: initial;
                    }
                    @include max980 {
                        width: calc(100% / 3 - (20px * 2 / 3));
                    }
                    @include max479 {
                        width: calc(100% / 3 - (10px * 2 / 3));
                        border-radius: 15px;
                    }
                    &:hover {
                        background-color: transparentize($couleur_secondaire, 0.90);
                        .utiliser-item {
                            opacity: 1;
                        }
                    }
                    img {
                        display: block;
                        width: 100%;
                        height: 100%;
                        object-fit: contain;
                    }
                    .utiliser-item {
                        position: absolute;
                        top: 50%;
                        left: 50%;
                        transform: translate(-50%, -50%);
                        padding: 10px;
                        color: $blanc;
                        background-color: transparentize($couleur_secondaire, 0.35);
                        opacity: 0;
                        transition: .4s ease-in-out;
                        font-size: 13px;
                    }
                }
            }
        }
    }
}